summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Janis Eisaks <jancs@dv.lv>2012-04-15 10:57:40 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-04-15 10:57:40 -0500
commit051bc0cbb294eb2998765a8a67d99f61b1feb907 (patch)
tree59fe0daf4125a2c9db48854fc6182c95dd2e819d
parentad365de13127b0dc639c32d03ef5cc889f95fa50 (diff)
downloadslackbuilds-051bc0cbb294eb2998765a8a67d99f61b1feb907.tar.gz
slackbuilds-051bc0cbb294eb2998765a8a67d99f61b1feb907.tar.xz
libraries/xapian-bindings: Added (SWIG and JNI bindings for Xapian)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/xapian-bindings/README8
-rw-r--r--libraries/xapian-bindings/slack-desc19
-rw-r--r--libraries/xapian-bindings/xapian-bindings.SlackBuild101
-rw-r--r--libraries/xapian-bindings/xapian-bindings.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/xapian-bindings/README b/libraries/xapian-bindings/README
new file mode 100644
index 0000000000..f80b724efc
--- /dev/null
+++ b/libraries/xapian-bindings/README
@@ -0,0 +1,8 @@
+xapian-bindings (SWIG and JNI bindings for Xapian)
+
+This package contains SWIG and JNI bindings allowing Xapian
+to be used from various other programming languages. On a
+default installation, this will include bindings for python,
+php, tcl8, ruby, and perl.
+
+This requires xapian-core.
diff --git a/libraries/xapian-bindings/slack-desc b/libraries/xapian-bindings/slack-desc
new file mode 100644
index 0000000000..303d4f02bc
--- /dev/null
+++ b/libraries/xapian-bindings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xapian-bindings: xapian-bindings (SWIG and JNI bindings for Xapian)
+xapian-bindings:
+xapian-bindings: SWIG and JNI bindings allowing Xapian to be used from various other
+xapian-bindings: programming languages
+xapian-bindings:
+xapian-bindings: http://www.xapian.org/
+xapian-bindings:
+xapian-bindings:
+xapian-bindings:
+xapian-bindings:
+xapian-bindings:
diff --git a/libraries/xapian-bindings/xapian-bindings.SlackBuild b/libraries/xapian-bindings/xapian-bindings.SlackBuild
new file mode 100644
index 0000000000..56aa08ef36
--- /dev/null
+++ b/libraries/xapian-bindings/xapian-bindings.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for xapian-core
+
+# Written by titopoquito (titopoquito@gmail.com)
+
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+PRGNAM=xapian-bindings
+VERSION=${VERSION:-1.2.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS HACKING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/apidoc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xapian-bindings/xapian-bindings.info b/libraries/xapian-bindings/xapian-bindings.info
new file mode 100644
index 0000000000..4eb4691c0c
--- /dev/null
+++ b/libraries/xapian-bindings/xapian-bindings.info
@@ -0,0 +1,10 @@
+PRGNAM="xapian-bindings"
+VERSION="1.2.8"
+HOMEPAGE="http://www.xapian.org/"
+DOWNLOAD="http://oligarchy.co.uk/xapian/1.2.8/xapian-bindings-1.2.8.tar.gz"
+MD5SUM="4bfe673c71ac074e349ef691d7ba56d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Janis Eisaks"
+EMAIL="jancs@dv.lv"
+APPROVED="rworkman"